Memcached::casByKey
Memcached::decrement
Memcached
PHP Manual

# Memcached::__construct

(PECL memcached >= 0.1.0)

Memcached::__construct — Create a Memcached instance

### Description

Memcached::__construct ([ string `$persistent_id` ] )

Creates a Memcached instance representing the connection to the memcache servers.

### Parameters

`persistent_id`

  By default the Memcached instances are destroyed at the end of the request. To create an instance that persists between requests, use `persistent_id` to specify a unique ID for the instance. All instances created with the same `persistent_id` will share the same connection.

### Return Values

A Memcached object.

### Examples

Example #1 Creating a Memcached object

`<?php
/* Create a regular instance */
$m1 = new Memcached();
echo get_class($m);
/* Create a persistent instance */
$m2 = new Memcached('story_pool');
$m3 = new Memcached('story_pool');
/* now $m2 and $m3 share the same connection */
?>`

Memcached::casByKey
Memcached::decrement
Memcached
PHP Manual